Debian Bug report logs - #478755
RFP: ezcomponents -- Framework for PHP

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Meredith <mez@ubuntu.com>

Date: Wed, 30 Apr 2008 19:27:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#478755; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Meredith <mez@ubuntu.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Meredith <mez@ubuntu.com>
To: francois@debian.org, derick@xdebug.org, submit@bugs.debian.org
Subject: ITP: eZcomponents -- Framework for PHP
Date: Wed, 30 Apr 2008 20:25:29 +0100
Package: wnpp
Severity: wishlist

Hey Francois, Derick,

Suffice to say - I've enjoyed working on Xdebug with you both, and hope
to continue that into the future :D (Well, My name's on the package now
and I don't intend to orphan it *just* yet!)

Anyway, the reason I came to look at Xdebug was simply the fact that
it's something I want to be using with my PHP applications (and will be
forced to use at work too I presume!), along with a couple of other
things.

I'm also interested in looking at other frameworks, and, after hearing
Derick pimping eZcomponents so much at the PHP London Conference, I
decided to have a look at it, and wrote a new script using it
(http://files.sourceguru.net/lr-mirror.phps) to have a look at how well
it worked.

Anyway, installing it on my server was a bit of a pain in the ass! And,
having gone back to the old script today to add to it and get it running
on another server, I came across the fact that I needed to install
eZcomponents again.

This got me thinking. It'd be nice if eZcomponents was packaged for
debian so that I could get it installed easily.

I had a quick word with Derick, who said that there shouldn't be any
issues (apart from possibly fonts - which he's checking on) that would
disallow this from happening.

He also came up with a nice thought:-

<Derick> the coolest way would be if it could be done per component
actually

Which got me thinking - this wouldn't be hard to do at all. This could
be built from one source package, and have packages for each component
with the correct dependencies. So the base classes would go into say,
ezcomponents-base, and then a component like, for example,
WorkflowDatabaseTieIn would have

Depends: ezcomponents-base, ezcomponents-database, ezcomponents-workflow

I think this would actually be a neat way to package this, allowing the
end-user to only install those bits of ezcomponents that they need.

Francois, if you're willing, I'd like to work with you on this aswell as
Xdebug, and, after all, I do need a sponsor ;)

This email also acts as my Intent to Package, and has been submitted to
the BTS as such.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#478755; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francois Marier <francois@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 478755@bugs.debian.org (full text, mbox):

From: Francois Marier <francois@debian.org>
To: mez@ubuntu.com
Cc: 478755@bugs.debian.org
Subject: Sponsoring your eZcomponents uploads
Date: Thu, 1 May 2008 08:57:18 +1200
[Message part 1 (text/plain, inline)]
Hi Martin,

I enjoyed working with you on Xdebug and it will be a pleasure to work with
you again on eZcomponents.

Francois
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITP: ezcomponents -- Framework for PHP' from `ITP: eZcomponents -- Framework for PHP'. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Thu, 01 May 2008 08:06:15 GMT) Full text and rfc822 format available.

Owner recorded as Martin Meredith <mez@ubuntu.com>. Request was from Martin Meredith <mez@ubuntu.com> to control@bugs.debian.org. (Mon, 05 May 2008 12:27:08 GMT) Full text and rfc822 format available.

Owner changed from Martin Meredith <mez@ubuntu.com> to Martin Meredith <mez@debian.org>. Request was from Martin Meredith <mez@debian.org> to control@bugs.debian.org. (Sun, 11 Jan 2009 19:24:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Martin Meredith <mez@debian.org>:
Bug#478755; Package wnpp. (Tue, 27 Jan 2009 09:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Koch <thomas@koch.ro>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Martin Meredith <mez@debian.org>. (Tue, 27 Jan 2009 09:24:02 GMT) Full text and rfc822 format available.

Message #21 received at 478755@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 478755@bugs.debian.org
Subject: ITP eZComponents
Date: Tue, 27 Jan 2009 10:22:38 +0100
Hi,

I do need eZComponents as Debian packages in a couple of days. Therefor
I already started the packaging two weeks ago and uploaded a first try
to mentors.debian.org, but without announcing my ITP. Mez advised me
about my error and I do appologize for it.
However Mez told me, that he would finish his packages at the end of
january.
Now that january is almost over, may I upload my ezcomponents packages
to mentors?

Given that the original ITP is as old as it takes to carry a child to
term, it may already has timed out. :-)

Best regards,
-- 
Thomas Koch, http://www.koch.ro
YMC AG, http://www.ymc.ch





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#478755; Package wnpp. (Tue, 27 Jan 2009 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Meredith <mez@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 27 Jan 2009 09:45:06 GMT) Full text and rfc822 format available.

Message #26 received at 478755@bugs.debian.org (full text, mbox):

From: Martin Meredith <mez@debian.org>
To: Thomas Koch <thomas@koch.ro>, 478755@bugs.debian.org
Subject: Re: Bug#478755: ITP eZComponents
Date: Tue, 27 Jan 2009 09:44:11 +0000
[Message part 1 (text/plain, inline)]
As I've already explained to Thomas, I am working on the packaging of this, 
however, have stumbled across a few roadblocks along the way.

I'd like to remind Thomas that I actually said I'd have time to start looking at 
the package again from tomorrow.

You are free to upload your packages to mentors, however, I'm in doubt as to 
whether you'll find a DD willing to sponsor them at this point in time.

I'm sorry that the package hasn't been created in the timespan you expect, but 
as I've mentioned to you before, there are certain roadblocks along the way, and 
the simple fact is, we're all human, we're all fallible, we all have other 
things to do (I for example, am in the process of moving house AND job this 
week)

Regards,
Martin "Mez" Meredith


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Martin Meredith <mez@debian.org>:
Bug#478755; Package wnpp. (Thu, 19 Feb 2009 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas.koch@ymc.ch:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Martin Meredith <mez@debian.org>. (Thu, 19 Feb 2009 17:33:04 GMT) Full text and rfc822 format available.

Message #31 received at 478755@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas.koch@ymc.ch>
To: 478755@bugs.debian.org
Subject: packaging workflow proposal
Date: Thu, 19 Feb 2009 18:30:48 +0100
[Message part 1 (text/plain, inline)]
I learned about the package dh-make-php, which would make the packaging of eZ
Components very easy, based on the pear packages provided by upstream.

Necessary steps:

mkdir ezc-packages
cd ezc-packages

pear channel-discover components.ez.no
pear download-all -c ezc

export DEBFULLNAME="Thomas Koch"
export DEBEMAIL="thomas.koch@ymc.ch"

#all normal packages get prefixed with php-ezcomponents

for C in $(ls -1| grep -v eZComponents); do \
    dh-make-pear --prefix php-ezcomponents- $C;\
done

# The metapackage will become php-ezcomponents
dh-make-pear eZComponents-2008.2.1.tgz

# Put all the dependencies in the control files.
for C in $(find . -maxdepth 1 -type d); do \
    ../get_package_dependencies.php $C; \
done

# put in the bugnumber in the changelogs of all packages 
# see e.g. vim help chapter 26.3

  * Initial Release (Closes #478755).

# copy a copyright file in all packages.

#rm extra LICENSE, dummy files:
find . -name LICENSE -exec rm {} \;
find . -name dummy -exec rm {} \;

#build all packages
for C in $(find . -maxdepth 1 -type d -name "php-*"); do \
    cd $C; dpkg-buildpackage -rfakeroot -kC5D1DD42; cd ..  ;\
done

# check all packages
for C in $(ls -1 *.deb);do echo $C; lintian $C;done

----------------------------------

Remaining issue:

If upsteam would provide better descriptions in the pear messages, then
one would avoid editing them for the Debian packages. I filled an issue
about that, but it has already been closed as "won't do":

http://issues.ez.no/IssueView.php?Id=14503

The workflow can be repeated for every new release of the components.
The php script for the dependencies is attached.

Any objections against this workflow?

Best regards,
-- 
Thomas Koch, YMC AG, http://www.ymc.ch
Phone: +41 (0)71 / 508 24 86

[get_package_dependencies.php (application/x-php, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#478755; Package wnpp. (Thu, 19 Feb 2009 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Meredith <mez@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 19 Feb 2009 18:09:05 GMT) Full text and rfc822 format available.

Message #36 received at 478755@bugs.debian.org (full text, mbox):

From: Martin Meredith <mez@debian.org>
To: thomas.koch@ymc.ch, 478755@bugs.debian.org
Subject: Re: Bug#478755: packaging workflow proposal
Date: Thu, 19 Feb 2009 18:05:48 +0000
[Message part 1 (text/plain, inline)]
There is no way that I am ever going to be happy with having 45 source packages 
for what should be (and is released as) 1 download.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Martin Meredith <mez@debian.org>:
Bug#478755; Package wnpp. (Mon, 03 Aug 2009 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Martin Meredith <mez@debian.org>. (Mon, 03 Aug 2009 17:27:05 GMT) Full text and rfc822 format available.

Message #41 received at 478755@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: Martin Meredith <mez@ubuntu.com>, Martin Meredith <mez@debian.org>, 478755@bugs.debian.org
Cc: Components <components@lists.ez.no>
Subject: RFS: ezcomponents
Date: Mon, 3 Aug 2009 19:26:04 +0200
Hi Martin,

I've learned a lot more about Debian packaging since my last attempt to 
package ezcomponents. Therefor I sent the ezcomponents Debian package, as we 
use it in our company to mentors.debian.net:

http://lists.debian.org/debian-mentors/2009/07/msg00346.html

I'd be happy, if you'd like to have a look and eventually sponsor it. The 
package still misses proper dependency mapping from the components version to 
the releases version. For now everything depends on version 2009.1.1. I'll add 
this mapping for the next version.

Best regards,

Thomas Koch, http://www.koch.ro




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Martin Meredith <mez@debian.org>:
Bug#478755; Package wnpp. (Tue, 04 Aug 2009 14:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Meredith <mez@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Martin Meredith <mez@debian.org>. (Tue, 04 Aug 2009 14:06:06 GMT) Full text and rfc822 format available.

Message #46 received at 478755@bugs.debian.org (full text, mbox):

From: Martin Meredith <mez@ubuntu.com>
To: thomas@koch.ro, 478755@bugs.debian.org
Cc: Components <components@lists.ez.no>
Subject: Re: Bug#478755: RFS: ezcomponents
Date: Tue, 4 Aug 2009 14:51:10 +0100
[Message part 1 (text/plain, inline)]
On Mon, Aug 03, 2009 at 07:26:04PM +0200, Thomas Koch wrote:
> Hi Martin,
> 
> I've learned a lot more about Debian packaging since my last attempt to 
> package ezcomponents. Therefor I sent the ezcomponents Debian package, as we 
> use it in our company to mentors.debian.net:
> 
> http://lists.debian.org/debian-mentors/2009/07/msg00346.html
> 
> I'd be happy, if you'd like to have a look and eventually sponsor it. The 
> package still misses proper dependency mapping from the components version to 
> the releases version. For now everything depends on version 2009.1.1. I'll add 
> this mapping for the next version.

You've just pointed out a major flaw that would mean I won't sponsor the
package. Debian packages should be of the highest quality possible. If the
dependencies are missing, then things can break.

Please fix these, and then I will look into reviewing your package.

> 
> Best regards,
> 
> Thomas Koch, http://www.koch.ro
> 
> 

-- 
Regards,
Martin "Mez" Meredith
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#478755; Package wnpp. (Tue, 04 Aug 2009 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Meredith <mez@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 04 Aug 2009 15:27:05 GMT) Full text and rfc822 format available.


Message #51 received at 478755@bugs.debian.org (full text, mbox):

From: Martin Meredith <mez@debian.org>
To: control@bugs.debian.org, 478755@bugs.debian.org
Date: Tue, 4 Aug 2009 16:23:21 +0100
[Message part 1 (text/plain, inline)]
owner 478755 thomas@koch.ro
thanks

I do not have the time to package this. Please feel free to take on this
package, and direct any queries/RFSs to debian-mentors@lists.debian.org

-- 
Regards,
Martin "Mez" Meredith
[signature.asc (application/pgp-signature, inline)]

Owner changed from Martin Meredith <mez@debian.org> to thomas@koch.ro. Request was from Martin Meredith <mez@debian.org> to control@bugs.debian.org. (Tue, 04 Aug 2009 15:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#478755; Package wnpp. (Tue, 04 Aug 2009 18:15:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 04 Aug 2009 18:15:17 GMT) Full text and rfc822 format available.

Message #58 received at 478755@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: Martin Meredith <mez@debian.org>, 478755@bugs.debian.org
Subject: RFS: ezcomponents
Date: Tue, 4 Aug 2009 20:09:37 +0200
Hi Martin,

thanks for your reply. I've added the dependency mapping. This will have an 
effect only for future releases of eZ Components when there will actually be 
different versions in Debian to choose from.
I've also fixed a dpkg-source notice about missing line-breaks at the end of 
*.dirs and *.install files and checked the package against lintian --pedantic.

The new version has been uploaded to mentors:
http://mentors.debian.net/debian/pool/main/p/php-ezcomponents

Best regards, Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, thomas@koch.ro:
Bug#478755; Package wnpp. (Sat, 19 Feb 2011 17:58:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, thomas@koch.ro. (Sat, 19 Feb 2011 17:58:42 GMT) Full text and rfc822 format available.

Message #63 received at 478755@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 478755@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ezcomponents: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:32 +0000
retitle 478755 RFP: ezcomponents -- Framework for PHP
noowner 478755
thanks

Hi,

This is an automatic email to change the status of ezcomponents back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting ezcomponents, please send a mail to
<control@bugs.debian.org> with:

 retitle 478755 ITP: ezcomponents -- Framework for PHP
 owner 478755 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <478755@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: ezcomponents -- Framework for PHP' from 'ITP: ezcomponents -- Framework for PHP' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:03:58 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by thomas@koch.ro. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:03:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:48:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.